#!/bin/sh

# since the script might be called from the rcS the PATH 
# of the rcu-sh has to be added
export PATH=/usr/local/sbin:$PATH

# set the DCS to RCU clock to 40 MHz 
echo "FFFFF7">/dev/vreg

# Added line needed after ACTEL fw version 2.3
rcu-sh w 0xb112 0xa 

# program the RCU via select map
rcu-sh sm e

rcunetwork="/dcs-share/bit_files/rcu.bit"
rcudefault="/rcu/rcu.bit"
if [ -e $rcunetwork ]; then
   echo -n "programming rcu configuration from $rcunetwork ... "
   cat $rcunetwork > /dev/virtex
   test $? -ne 0 && echo "failed" || echo "done"
else 
   if [ -e $rcudefault ]; then
     echo -n "programming default rcu configuration from $rcudefault ... "
     cat $rcudefault >/dev/virtex
     test $? -ne 0 && echo "failed" || echo "done"
   else
     echo no rcu configuration file found
   fi 
fi

rcu-sh sm d
# Enable TTCrx chip for SERB
# echo -n "Enabling TTCrx for SERB ... "
# ttcrx_regs w 0x7f 3
# test $? -ne 0 && echo "failed" || echo "done"


